Name: glew
Version: 1.3.4
Release: alt0.M24.3

License: GPL
Url: http://glew.sourceforge.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: The OpenGL Extension Wrangler Library.
Group: System/Libraries
Source: %name-%version-src.tgz

# Automatically added by buildreq on Sun Jun 18 2006
BuildRequires: XFree86-devel XFree86-libs libGLU-devel

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms
for determining which OpenGL extensions are supported on the target platform.
OpenGL core and extension functionality is exposed in a single header file.

%package -n lib%name
Summary: The OpenGL Extension Wrangler Library.
Group: System/Libraries

%description -n lib%name
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms
for determining which OpenGL extensions are supported on the target platform.
OpenGL core and extension functionality is exposed in a single header file.

%package -n lib%name-devel
Summary: OpenGL Extension Wrangler Library development files
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
he OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library.
The package contains the C++ headers to compile programs based on glew.

%package -n lib%name-devel-static
Summary: OpenGL Extension Wrangler Library static development files
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel-static
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library.
The package contains static library to compile programs based on glew.

%package bin
Summary: OpenGL Extension Wrangler Library binaries.
Group: Development/Other
Requires: lib%name = %version-%release

%description bin
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library.
The package contains glew binaries.

%prep
%setup -q -n %name

%build
%make OPT="%optflags"

%install

%__mkdir_p %buildroot{%_bindir,%_libdir,%_includedir/GL}
%__install -pm755 bin/* %buildroot%_bindir
%__install -pm644 lib/libGLEW.so.1.3.4 %buildroot%_libdir
%__install -pm644 lib/libGLEW.a %buildroot%_libdir
%__install -pm644 include/GL/* %buildroot%_includedir/GL

%__ln_s -f libGLEW.so.1.3.4 %buildroot%_libdir/libGLEW.so.1.3
%__ln_s -f libGLEW.so.1.3.4 %buildroot%_libdir/libGLEW.so

#make_install DESTDIR="%buildroot" install

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%doc doc/*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/GL/*

%files -n lib%name-devel-static
%_libdir/*.a

%files bin
%_bindir/*

%changelog
* Tue Oct 03 2006 Motsyo Gennadi <drool@altlinux.ru> 1.3.4-alt0.M24.3
- fix CFLAGS without subst (thanks to Mike Shigorin for help)

* Mon Sep 25 2006 Motsyo Gennadi <drool@altlinux.ru> 1.3.4-alt0.M24.2
- move docs from lib%name-doc to lib%name

* Fri Sep 22 2006 Motsyo Gennadi <drool@altlinux.ru> 1.3.4-alt0.M24.1
- backport to ALT Linux 2.4 Master
- fix CFLAGS

* Tue Mar 07 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.3.4-alt1
- 1.3.4 release.

* Fri Aug 26 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.3.3-alt1
- Test build.

